#!/bin/bash

flatpak --user install -y ./org.app.desktopapp.flatpak

FLATPAK_APP_DIR="$HOME/.local/share/flatpak/app/org.app.desktopapp/x86_64/master/active"
FLATPAK_SED_APP_DIR=$(echo $FLATPAK_APP_DIR | sed 's/\//\\\//g')

OS_TYPE=$(lsb_release -a | grep 'RED OS')

if [ -z "$OS_TYPE" ]
then
	sed -i 's/Exec=.*/Exec=\/usr\/bin\/flatpak run --branch=master --arch=x86_64 --command=DesktopApp --cwd=\/app\/bin\/ org.app.desktopapp/g' $FLATPAK_APP_DIR/export/share/applications/org.app.desktopapp.desktop
else
	sed -i "s/Exec=.*/Exec=\/bin\/bash -c 'cd $FLATPAK_SED_APP_DIR\/files\/bin \&\& .\/DesktopApp'/g" $FLATPAK_APP_DIR/export/share/applications/org.app.desktopapp.desktop
fi

sed -i "s#@IconDir#$FLATPAK_APP_DIR\/export\/share\/icons\/hicolor\/128x128\/apps#" $FLATPAK_APP_DIR/export/share/applications/org.app.desktopapp.desktop
cp $FLATPAK_APP_DIR/export/share/applications/org.app.desktopapp.desktop "$(xdg-user-dir DESKTOP)"

mkdir -p $HOME/.config/app-desktopapp/
mv -f $FLATPAK_APP_DIR/files/bin/Data/* $HOME/.config/app-desktopapp/
rm -rf $FLATPAK_APP_DIR/files/bin/Data
ln -s $HOME/.config/app-desktopapp $FLATPAK_APP_DIR/files/bin/Data

chmod +x $FLATPAK_APP_DIR/files/bin/DesktopApp

if [ -z "$OS_TYPE" ]
then
	flatpak run --cwd=/app/bin/ org.app.desktopapp
else 
	cd $FLATPAK_APP_DIR/files/bin && ./DesktopApp
fi
